package com.qmth.demo.api;

import com.qmth.boot.core.cache.service.CustomizeCacheConfiguration;
import com.qmth.demo.api.service.DemoCacheService;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

import java.time.Duration;

/**
 * api demo application
 */
@SpringBootApplication(scanBasePackages = "com.qmth.*")
@MapperScan("com.qmth.demo.*")
public class ApiDemoApplication {

    //    @Resource
    //    private DemoAuthorizationService demoAuthorizationService;

    //    @Bean
    //    public CustomizeAuthorizationService customizeAuthorizationService() {
    //        return registration -> {
    //            registration.setDefault(demoAuthorizationService);
    //        };
    //    }

    @Bean
    public CustomizeCacheConfiguration customizeCacheConfiguration() {
        return registration -> {
            registration.setCacheConfig(DemoCacheService.CACHE_NAME, Duration.ofSeconds(60));
        };
    }

    public static void main(String[] args) {
        SpringApplication.run(ApiDemoApplication.class, args);
    }
}
